firefox crashes on ubuntu karmic moblin - due to conflict with LP Moblin repo xulrunner 1.9.2 package

Bug #460484 reported by Martin0176 on 2009-10-25
32
This bug affects 5 people
Affects Status Importance Assigned to Milestone
firefox-3.5 (Ubuntu)
Medium
Micah Gersten

Bug Description

Binary package hint: firefox-3.5

Firefox 3.5 crashes in 100% of cases. Segmentation fault

martin@martin-netbook:~$ valgrind /usr/bin/firefox
==5720== Memcheck, a memory error detector
==5720== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==5720== Using Valgrind-3.5.0-Debian and LibVEX; rerun with -h for copyright info
==5720== Command: /usr/bin/firefox
==5720==
Segmentation fault
martin@martin-netbook:~$ valgrind /usr/bin/firefox-3.5
==5726== Memcheck, a memory error detector
==5726== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==5726== Using Valgrind-3.5.0-Debian and LibVEX; rerun with -h for copyright info
==5726== Command: /usr/bin/firefox-3.5
==5726==
Segmentation fault

ProblemType: Bug
Architecture: i386
Date: Sun Oct 25 08:18:12 2009
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu-Moblin-Remix 9.10 "Karmic Koala" - Release Candidate i386 (20091021)
NonfreeKernelModules: wl
Package: firefox 3.5.3+build1+nobinonly-0ubuntu6
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: firefox-3.5
Uname: Linux 2.6.31-14-generic i686

Martin0176 (schizee) wrote :
neojames (neojames11) on 2009-11-07
Changed in firefox-3.5 (Ubuntu):
status: New → Confirmed
neojames (neojames11) wrote :

I've found this as well, I am actually moving my mothers netbook away from moblin to netbook remix until it's fixed as the included web browser isn't up to scratch.

Tavis J. Hampton (hamptont) wrote :

I've had the same problem with Firefox and Fennec. Epiphany, another Gecko-based browser does work. I am currently using Google Chrome and Epiphany when I need it.

Micah Gersten (micahg) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. However, according to this report, you are not using the most recent version of this package for your Ubuntu release. Please upgrade to the most recent version and let us know if you are still having this issue. Thanks in advance.

Changed in firefox-3.5 (Ubuntu):
status: Confirmed → Incomplete
Wilson Seto (wseto) wrote :

Updated to Firefox 3.5.7 using the 2.6.31-17 kernel with Ubuntu Mobilin Remix.
Still seg faults when run.

When run in gdb without the debugging symbols, the following information is displayed:

Program received signal SIGSEGV, Segmentation fault.
0x00a4ad1d in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0

Wilson Seto (wseto) wrote :

Okey dokey, after looking at the backtrace in gdb, I realized that two different versions of xulrunner libs were being called by firefox.

In the /usr/lib directory both xulrunner-1.9.1.7 and xulrunner-1.9.2a1pre-headless were present.
Once I renamed xulrunner-1.9.2a1pre-headless to something else, firefox would run again.
Firefox will not work with the 1.9.2 libraries. However, moblin's web browser needs those libraries to run, so won't run with the directory renamed.

Micah Gersten (micahg) wrote :

It appears that upstream's xulrunner builds are conflicting with ours. I'll discuss this with upstream to see if we can get their xulrunner not to conflict.
Please report any other issues you may find.

Changed in firefox-3.5 (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Medium
status: Incomplete → Triaged
Micah Gersten (micahg) on 2010-01-08
summary: - firefox crashes on ubuntu karmic moblin - segfault upon launch 100% of
- attempts
+ firefox crashes on ubuntu karmic moblin - due to conflict with upstream
+ xulrunner 1.9.2 package

@Wilson Seto

Where did you get the other xulrunner?

Changed in firefox-3.5 (Ubuntu):
status: Triaged → Incomplete
Micah Gersten (micahg) wrote :

Let's ask someone who's subscribed...

@Tavis Hampton

Are you getting Fennec from the daily upstream builds or from the Ubuntu repositories?

Wilson Seto (wseto) wrote :

I just map to the normal Karmic repositories with medbuntu... I forget if I've got a special repository for moblin stuff setup.
xulrunner 1.9.2 was just a dependency for the moblin browser, so automatically got pulled down.

I'll check which repositories I've got mapped when I get home after work.

Wilson Seto (wseto) wrote :

@Micah Gersten
I have just the normal Ubuntu Karmic repositories, the medibuntu repositories and the Moblin launchpad repositories configured in my sources.list and didn't instally any files outside of those repositories.

As far as I can tell, the 1.9.2 headless xulrunner is from the moblin repository (version 1.9.2~hg20090826-0ubuntu0moblin1), the 1.9.1 (version 1.9.1.7+nobinonly-0ubuntu0.9.10.1) is from the standard Ubuntu repository.

Micah Gersten (micahg) wrote :

That's great. That the information I need. Now I need to see why they conflict and talk to that team about a resolution.

Thanks.

summary: - firefox crashes on ubuntu karmic moblin - due to conflict with upstream
- xulrunner 1.9.2 package
+ firefox crashes on ubuntu karmic moblin - due to conflict with LP Moblin
+ repo xulrunner 1.9.2 package
Changed in firefox-3.5 (Ubuntu):
status: Incomplete → Triaged
walter.nasich (wnasich) wrote :

I dont sure, but I have fixed this problem installing the package abrowser.

Tavis J. Hampton (hamptont) wrote :

I finally uninstalled moblin remix and installed the netbook remix, but before I did, I was using the default packages that came with the Moblin Netbook Remix repository at the time of my original posting (2010-01-04). I did not install any foreign packages from other repositories. Once the moblin packages were removed, Firefox started with no problems.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers